## Class IDS_Event

Description

Implements interfaces:

- Countable (internal interface)
- IteratorAggregate (internal interface)

PHPIDS event object

This class represents a certain event that occured while applying the filters to the supplied data. It aggregates a bunch of IDS_Filter implementations and is a assembled in IDS_Report.

Note that this class implements both Countable and IteratorAggregate

- author: Lars Strojny <lars@strojny.net>
- author: Christian Matthies <ch0012@gmail.com>
- author: Mario Heiderich <mario.heiderich@gmail.com>
- version: Release: $Id:Event.php 517 2007-09-15 15:04:13Z mario $
- copyright: 2007 The PHPIDS Group
- link: http://php-ids.org/
- license: LGPL

Located in /Event.php (line 53)

Variable Summary
array $filters
integer $impact
scalar $name
array $tags
scalar $value
Method Summary
void __construct (scalar $name, scalar $value, $filters)
integer count ()
array getFilters ()
integer getImpact ()
Iterator|IteratorAggregate getIterator ()
scalar getName ()
array getTags ()
scalar getValue ()
Variables
array $filters = array() (line 77)

List of filter objects

Filter objects in this array are those that matched the events value

- access: protected

integer $impact = 0 (line 86)

Calculated impact

Total impact of the event

- access: protected

scalar $name = null (line 61)

Event name

- access: protected

array $tags = array() (line 93)

Affecte tags

- access: protected

scalar $value = null (line 68)

Value of the event

- access: protected

Methods
Constructor __construct (line 106)

Constructor

Fills event properties

- access: public

void __construct (scalar $name, scalar $value, $filters)

- scalar $name: the event name
- scalar $value: the event value
- array $filters: the corresponding filters

count (line 211)

Returns number of filters

To implement interface Countable this returns the number of filters appended.

- access: public

integer count ()

Implementation of:

Countable::count

getFilters (line 198)

Returns list of filter objects

- access: public

array getFilters ()
getImpact (line 162)

Returns calculated impact

- access: public

integer getImpact ()
getIterator (line 223)

IteratorAggregate iterator getter

Returns an iterator to iterate over the appended filters.

- access: public

Iterator|IteratorAggregate getIterator ()

Implementation of:

IteratorAggregate::getIterator

getName (line 142)

Returns event name

The name of the event usually is the key of the variable that was considered to be malicious

- access: public

scalar getName ()
getTags (line 179)

Returns affected tags

- access: public

array getTags ()
getValue (line 152)

Returns event value

- access: public

scalar getValue ()

Documentation generated on Mon, 22 Dec 2008 13:36:44 +0100 by phpDocumentor 1.4.2